Skip to content

Stream

16 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.

PATCH /api/v1/streams

Mass edit stream configs.

Update multiple stream configs by IDs. The request body should be a JSON object containing only the fields to be updated.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idsqueryarray of integerYesstream IDs
bodybodyapp.StreamConfigYesstream config fields need to update

Responses

StatusDescriptionSchema
200OKroute.APIResponse

POST /api/v1/streams

Create the stream.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
configbodyapp.StreamConfigYesstream config

Responses

StatusDescriptionSchema
200OKroute.APIResponse

PATCH /api/v1/streams/playlist/settings

Update playlist stream ordering and visibility.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
streamsbodyarray of integerYesOrdered stream IDs to export

Responses

StatusDescriptionSchema
200OKroute.APIResponse

POST /api/v1/streams/reset-errors

Reset the stream errors.

Authentication: Authorization header (ApiKeyAuth)

Responses

StatusDescriptionSchema
200OKroute.APIResponse

GET /api/v1/streams/stats

Get the stats of all streams.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
fieldsquerystringNoextra stream config fields to select, comma separated. eg: config.video_map,config.video_sync

Responses

StatusDescriptionSchema
200OKroute.APIResponse

GET /api/v1/streams/{id}

Get the stream config.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesStream ID

Responses

StatusDescriptionSchema
200OKroute.APIResponse

PATCH /api/v1/streams/{id}

Update the stream config.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesStream ID
configbodyapp.StreamConfigYesstream config need to update

Responses

StatusDescriptionSchema
200OKroute.APIResponse

GET /api/v1/streams/{id}/details

Get the stream status details.

Authentication: Authorization header (ApiKeyAuth)

Responses

StatusDescriptionSchema
200OKroute.APIResponse

PATCH /api/v1/streams/{id}/dynamic-url

Update the stream source URLs dynamically.

the post URLs data supports following query parameters in URL.

  • decryption_key update the decryption keys
  • http_proxy update the http proxy
  • headers update the headers

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesStream ID
urlsbodyarray of stringYessource strems URLs need to update dynamically

Responses

StatusDescriptionSchema
200OKroute.APIResponse

DELETE /api/v1/streams/{id}/logs

Delete stream logs.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesStream ID

Responses

StatusDescriptionSchema
204No Content

GET /api/v1/streams/{id}/logs

List stream logs.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesStream ID
afterqueryintegerNoLog sequence cursor; values less than or equal to 0 return all logs

Responses

StatusDescriptionSchema
200OKarray of utils.LogEntry

GET /api/v1/streams/{id}/logs/download

Download stream logs.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathintegerYesStream ID

Responses

StatusDescriptionSchema
200OKfile

POST /api/v1/streams/{id}/restart

Restart the stream.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesStream ID or Name

Responses

StatusDescriptionSchema
200OKroute.APIResponse

POST /api/v1/streams/{id}/start

Start the stream.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesStream ID or Name

Responses

StatusDescriptionSchema
200OKroute.APIResponse

GET /api/v1/streams/{id}/stats

Get the stream stats by stream ID.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
fieldsquerystringNoextra stream config fields to select, comma separated. eg: config.video_map,config.video_sync
idpathstringYesStream ID

Responses

StatusDescriptionSchema
200OKroute.APIResponse

POST /api/v1/streams/{id}/stop

Stop the stream.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesStream ID or Name

Responses

StatusDescriptionSchema
200OKroute.APIResponse